Issue2620

classification
Title: jython-Installer 2.7.1 error code 14001
Type: crash Severity: critical
Components: Core, Installer Versions: Jython 2.7
Milestone: Jython 2.7.1
process
Status: pending Resolution: accepted
Dependencies: Superseder:
Assigned To: jeff.allen Nosy List: airshiplay, jamesmudd, jeff.allen
Priority: Keywords:

Created on 2017-08-31.05:22:51 by airshiplay, last changed 2017-10-22.13:57:32 by jeff.allen.

Messages
msg11556 (view) Author: airshiplay (airshiplay) Date: 2017-08-31.05:22:51
C:\jython2.7.1>bin\jython.exe

Error loading Python DLL: C:\jython2.7.1\bin\python27.dll (error code 14001)
msg11576 (view) Author: James Mudd (jamesmudd) Date: 2017-09-07.18:42:04
I have reproduced this issue when running the installed version on Jython on Windows 7.

I think the issue is due to the packaging with PyInstaller.
msg11577 (view) Author: James Mudd (jamesmudd) Date: 2017-09-07.19:08:10
Pull request to fix this here https://github.com/jythontools/jython/pull/89
msg11627 (view) Author: Jeff Allen (jeff.allen) Date: 2017-10-21.12:55:26
James' solution now at https://hg.python.org/jython/rev/d638b2c5ef28.
msg11629 (view) Author: Jeff Allen (jeff.allen) Date: 2017-10-22.13:57:31
I also added notes to our proto-devguide in this PR:
https://github.com/jeff5/jython-devguide/blob/6af870e1461dc96aaef2a4be954e0b5c61bb3567/setup_jy.rst#the-launcher-jythonexe

James: Does that look right to avoid reproducing this bug?
History
Date User Action Args
2017-10-22 13:57:32jeff.allensetmessages: + msg11629
2017-10-21 13:00:15jeff.allenlinkissue2607 superseder
2017-10-21 12:55:26jeff.allensetstatus: open -> pending
type: crash
messages: + msg11627
assignee: jeff.allen
nosy: + jeff.allen
resolution: accepted
2017-09-07 19:08:10jamesmuddsetmessages: + msg11577
2017-09-07 18:42:04jamesmuddsetnosy: + jamesmudd
messages: + msg11576
2017-08-31 05:23:59airshiplaysettitle: Installer error code 14001 -> jython-Installer 2.7.1 error code 14001
2017-08-31 05:22:51airshiplaycreate